Browse Source

Fix mod_extforward to compile with old gcc version (#1591)

git-svn-id: svn://svn.lighttpd.net/lighttpd/branches/lighttpd-1.4.x@2129 152afb58-edef-0310-8abb-c4023f1b3aa9
svn/tags/lighttpd-1.4.20
Stefan Bühler 14 years ago
parent
commit
2772e62d8d
  1. 1
      NEWS
  2. 3
      src/mod_extforward.c

1
NEWS

@ -6,6 +6,7 @@ NEWS
- 1.4.20 -
* Fix mod_compress to compile with old gcc version (#1592)
* Fix mod_extforward to compile with old gcc version (#1591)
- 1.4.19 - 2008-03-10

3
src/mod_extforward.c

@ -281,8 +281,9 @@ static int is_proxy_trusted(const char *ipstr, plugin_data *p)
static const char *last_not_in_array(array *a, plugin_data *p)
{
array *forwarder = p->conf.forwarder;
int i;
for (int i = a->used - 1; i >= 0; i--) {
for (i = a->used - 1; i >= 0; i--) {
data_string *ds = (data_string *)a->data[i];
const char *ip = ds->value->ptr;

Loading…
Cancel
Save